Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class NTThreadSubject

    java.lang.Object
      com.ibm.security.auth.ThreadSubject
          com.ibm.security.auth.NTThreadSubject

    public final class NTThreadSubject

extends ThreadSubject

This class provides the default implementation of ThreadSubject for NT

Constructor Summary
`NTThreadSubject()`

Method Summary
`protected void` | `restore()` Restore the underlying operating system thread's original identity.
`protected void` | `set(Subject subject)` Set the underlying operating system thread identity.
`static void` | `whoaminow()`

Methods inherited from class com.ibm.security.auth.ThreadSubject
`doAs, doAs, doAsPrivileged, doAsPrivileged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NTThreadSubject

    public NTThreadSubject()

Method Detail

### set

    protected void set(Subject subject)
                throws java.lang.UnsupportedOperationException,
                       java.lang.SecurityException

  Set the underlying operating system thread identity.

  This method extracts the relevant `Principal` and/or `Credential` information from the specified `Subject` and associate it with the underlying operating system thread.

  Specified by:
    `set` in class `ThreadSubject`
  Parameters:
    `subject` - from which the method implementation extracts the relevant `Principal` and/or `Credential` information from the specified `Subject`. This information is then associated with the underlying operating system thread.
  Throws:
    `java.lang.UnsupportedOperationException` - if this operation is not supported or if this operation fails.

    `java.lang.SecurityException` - if the caller attempts to invoke this method and does not have permission.

### restore

    protected void restore()
                    throws java.lang.UnsupportedOperationException,
                           java.lang.SecurityException

  Restore the underlying operating system thread's original identity.

  Implementations of this method restore the original operating system thread identity modified by the `set` method.

  Specified by:
    `restore` in class `ThreadSubject`
  Throws:
    `java.lang.UnsupportedOperationException` - if this operation is not supported or if this operation fails.

    `java.lang.SecurityException` - if the caller attempts to invoke this method and does not have permission.

### whoaminow

    public static void whoaminow()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD